unit Utils;

interface

uses
  SysUtils;

function GetFileDateTime(FileName: string): TDateTime;

function GetFileSize(FileName: string): integer;

implementation

function GetFileDateTime(FileName: string): TDateTime;
var
  f: THandle;

begin
  f := FileOpen(FileName, fmOpenRead);
  result := FileDateToDateTime(FileGetDate(f));
  FileClose(f);
end;

function GetFileSize(FileName: string): integer;
var
  f: file of byte;

begin
  AssignFile(f, FileName);
  Reset(f);
  result := FileSize(f);
  CloseFile(f);
end;

end.
